content.page.update
Update a registered page (partial). A slug change is re-validated against reserved routes.
- Scope:
content.write - System: no
- Reachable from:
POST /v1/commands/content.page.update(tenant credential) · MCP toolcontent.page.update· SDKclient.call('content.page.update', …) - Events:
content.page.updated
Input (JSON Schema)
Section titled “Input (JSON Schema)”{ "properties": { "meta_description": { "anyOf": [ { "minLength": 1, "type": "string" }, { "type": "null" } ] }, "meta_title": { "anyOf": [ { "minLength": 1, "type": "string" }, { "type": "null" } ] }, "page_id": { "minLength": 1, "type": "string" }, "published": { "type": "boolean" }, "slug": { "maxLength": 120, "minLength": 1, "pattern": "^[a-z0-9]+(?:-[a-z0-9]+)*$", "type": "string" }, "template_key": { "minLength": 1, "type": "string" }, "title": { "minLength": 1, "type": "string" } }, "required": [ "page_id" ], "type": "object"}Result (200)
Section titled “Result (200)”{ "additionalProperties": false, "properties": { "page_id": { "type": "string" } }, "required": [ "page_id" ], "type": "object"}Errors
Section titled “Errors”validation_failed (400) · unauthorized (401) · forbidden (403) · conflict (409) · internal (500)